> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Import Settlement Details

> This API is used to get ICA settlement details using PG Order ID



## OpenAPI

````yaml get /import/orders/{order_id}/settlements
openapi: 3.0.3
info:
  title: LRS
  version: '4'
servers:
  - url: https://sandbox.cashfree.com/
    description: Sandbox server
  - url: https://api.cashfree.com/
    description: Production server
security:
  - {}
paths:
  /import/orders/{order_id}/settlements:
    get:
      summary: Get Import Settlement Details
      description: This API is used to get ICA settlement details using PG Order ID
      operationId: get-import-settlement-details
      parameters:
        - name: order_id
          in: path
          description: Your order ID
          schema:
            type: string
          required: true
        - name: x-client-id
          in: header
          description: Client ID generated from the merchant dashboard.
          required: true
          schema:
            type: string
        - name: x-client-secret
          in: header
          description: Client secret generated from the merchant dashboard.
          required: true
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version to be used. Format is in YYYY-MM-DD.
          required: true
          schema:
            type: string
            default: '2023-08-01'
      responses:
        '200':
          description: Success response for getting the import settlement details.
          content:
            application/json:
              examples:
                Success Response:
                  value:
                    cf_order_details:
                      cf_payment_id: 5114911054376
                      order_amount: 8455
                      order_currency: INR
                      order_id: 6cafd7aa-6568-4cc4-ba71-5e528272a3d3
                      payment_time: '2024-08-28T15:37:49'
                    cf_ica_settlement_details:
                      cf_ica_settlement_id: 10
                      status: SETTLED
                      collection_amount_inr: 86176
                      service_charge_inr: 1637.38
                      service_tax_inr: 294.73
                      adjustment_amount_inr: -18743.89
                      settlement_charges_inr: 0
                      settlement_tax_inr: 0
                      settlement_amount_inr: 65500.04
                      settlement_foreign_currency_details:
                        settlement_currency: USD
                        settlement_forex_rate: 83.8788
                        settlement_amount: 780.8891
                      payment_from: '2024-08-28T15:36:33'
                      payment_till: '2024-08-28T15:37:49'
                      settlement_utr: '123412'
                      initiated_on: '2024-08-28T17:24:55'
                      settled_on: '2024-08-29T16:30:46'
              schema:
                type: object
                properties:
                  cf_order_details:
                    type: object
                    description: >-
                      Contains information about the order related to the
                      settlement
                    properties:
                      cf_payment_id:
                        type: number
                        example: 5114911054376
                        description: Unique payment ID associated with the order
                      order_amount:
                        type: number
                        example: 8455
                        description: Total order amount in numeric value
                      order_currency:
                        type: string
                        example: INR
                        description: Currency of the order
                      order_id:
                        type: string
                        example: 6cafd7aa-6568-4cc4-ba71-5e528272a3d3
                        description: Unique order identifier
                      payment_time:
                        type: string
                        example: '2024-08-28T15:37:49'
                        description: Time when payment for the order was processed
                  cf_ica_settlement_details:
                    type: object
                    description: Contains information about the settlement transaction
                    properties:
                      settlement_id:
                        type: number
                        example: 10
                        description: Unique ID of the settlement
                      status:
                        type: string
                        example: SETTLED
                        description: Current status of the settlement
                      collection_amount_inr:
                        type: number
                        example: 86176
                        description: Total collected amount in INR
                      service_charge_inr:
                        type: number
                        description: Service charge in INR, if applicable
                        example: 1637.38
                      service_tax_inr:
                        type: number
                        example: 294.73
                        description: Service tax in INR
                      adjustment_amount_inr:
                        type: number
                        example: -18743.89
                        description: Adjustment amount in INR
                      settlement_charges_inr:
                        type: number
                        example: 0
                        description: Charges related to the settlement in INR
                      settlement_tax_inr:
                        type: number
                        example: 0
                        description: Tax on settlement in INR
                      settlement_amount_inr:
                        type: number
                        example: 65500.04
                        description: Total settlement amount in INR
                      settlement_foreign_currency_details:
                        type: object
                        properties:
                          settlement_currency:
                            type: string
                            example: USD
                            description: Currency of the settlement amount
                          settlement_forex_rate:
                            type: number
                            example: 83.8788
                            description: >-
                              Exchange rate used for conversion to settlement
                              currency
                          settlement_amount:
                            type: number
                            example: 780.8891
                            description: Amount in the foreign currency after conversion
                      payment_from:
                        type: string
                        example: '2024-08-28T15:36:33'
                        description: Start time of the payment period
                      payment_till:
                        type: string
                        example: '2024-08-28T15:37:49'
                        description: End time of the payment period
                      settlement_utr:
                        type: string
                        example: '123412'
                        description: Unique transaction reference (UTR) for the settlement
                      initiated_on:
                        type: string
                        example: '2024-08-28T17:24:55'
                        description: Date and time when the settlement was initiated
                      settled_on:
                        type: string
                        example: '2024-08-29T16:30:46'
                        description: Date and time when the settlement was completed
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    type: authentication_error
                    message: authentication Failed
                    code: request_failed
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: authentication_error
                  message:
                    type: string
                    example: authentication Failed
                  code:
                    type: string
                    example: request_failed
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Transaction not found:
                  value:
                    message: Transaction not found
                    code: transaction_not_found
                    type: invalid_request_error
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Transaction not found
                  code:
                    type: string
                    example: transaction_not_found
                  type:
                    type: string
                    example: invalid_request_error
      deprecated: false

````